Bug 1750015 - Problem upgrading F30 KDE desktop to F31 due to modular libgit2
Summary: Problem upgrading F30 KDE desktop to F31 due to modular libgit2
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libgit2
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1751233 1753103 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-07 10:57 UTC by Tomas Toth
Modified: 2020-05-26 17:29 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 17:29:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomas Toth 2019-09-07 10:57:03 UTC
Description of problem:
Attempting to upgrade F30 KDE desktop to F31 fails:

# dnf system-upgrade download --refresh --releasever=31 --enablerepo=updates-testing --enablerepo=updates-testing-modular
Error: 
 Problem: problem with installed package kf5-ktexteditor-5.59.0-1.fc30.x86_64
  - package kf5-ktexteditor-5.61.0-1.fc31.x86_64 requires libgit2.so.28()(64bit), but none of the providers can be installed
  - kf5-ktexteditor-5.59.0-1.fc30.x86_64 does not belong to a distupgrade repository
  - package libgit2-0.28.2-2.module_f31+5411+fa1856a4.x86_64 is excluded
  - package libgit2-0.28.2-3.fc31.x86_64 is excluded
(try to add '--skip-broken' to skip uninstallable packages)


Version-Release number of selected component (if applicable):
kf5-ktexteditor.x86_64    5.59.0-1.fc30                      @updates        
libgit2.x86_64            0.27.8-1.module_f30+2959+693db98d  fedora-modular                     

dnf.noarch                4.2.8-1.fc30                       @updates
dnf-data.noarch           4.2.8-1.fc30                       @updates
dnf-plugins-core.noarch   4.0.9-1.fc30                       @updates
dnf-utils.noarch          4.0.9-1.fc30                       @updates
libdnf.x86_64             0.35.2-1.fc30                      @updates				 


# dnf module list libgit2
Last metadata expiration check: 0:00:32 ago on Sat 07 Sep 2019 12:28:40 PM CEST.
Fedora Modular 30 - x86_64
Name          Stream	     Profiles	  Summary  				    
libgit2       0.26	  		  Library implementation of Git		    
libgit2       0.27 [d][e] 		  Library implementation of Git		    
libgit2       0.28	  		  Library implementation of Git		    

Fedora Modular 30 - x86_64 - Update
Name          Stream	     Profiles	  Summary					  
libgit2       0.26			  Library implementation of Git		  
libgit2       0.27 [d][e]		  Library implementation of Git		  
libgit2       0.28			  Library implementation of Git		  

Hint: [d]efault, [e]nabled, [x]disabled, [i]nstalled


How reproducible:
Always.


Found workaround:

1.) # dnf module reset libgit2
Last metadata expiration check: 0:03:02 ago on Sat 07 Sep 2019 12:28:40 PM CEST.
Dependencies resolved.
======================================================================
 Package              Architecture     Version     Repository	 Size
======================================================================
Resetting modules:
 libgit2                             		    		     

Transaction Summary
======================================================================

Is this ok [y/N]: y
Complete!

2.) Then, dnf system-upgrade download... worked ok.


Actual results:
Error or need to use the above workaround.

Expected results:
No error, no need for workaround.


Additional info:
I am not sure that the libgit2 modules are the culprit. Please reassign the component as needed.

Thanks.

Comment 1 Elliott Sales de Andrade 2019-09-12 00:30:02 UTC
*** Bug 1751233 has been marked as a duplicate of this bug. ***

Comment 2 P D 2019-09-18 11:33:39 UTC
*** Bug 1753103 has been marked as a duplicate of this bug. ***

Comment 3 Ben Cotton 2020-04-30 20:57:08 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2020-05-26 17:29:28 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.